> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new pipeline



## OpenAPI

````yaml /generated/specs/sales.json post /api/v1/pipelines
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/pipelines:
    post:
      tags:
        - pipelines
      summary: Create a new pipeline
      operationId: PipelineController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePipelineDto'
      responses:
        '201':
          description: Pipeline created
        '403':
          description: Requiere rol admin
components:
  schemas:
    CreatePipelineDto:
      type: object
      properties:
        name:
          type: string
          example: Outbound 2026
        description:
          type: string
          example: Pipeline para leads de competencia
        type:
          type: string
          example: outbound
          enum:
            - inbound
            - outbound
            - custom
        stages:
          type: array
          items:
            $ref: '#/components/schemas/CreateStageDto'
      required:
        - name
    CreateStageDto:
      type: object
      properties:
        is_won:
          type: boolean
          example: false
        is_lost:
          type: boolean
          example: false
        name:
          type: string
          example: Nuevo Lead
        color:
          type: string
          example: '#6B7280'
        order:
          type: number
          example: 0
      required:
        - name

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.